<script src="{$wa_app_static_url}js/prices.js?v={$wa->version()}" type="text/javascript"></script>
<h1>Наценки
    <a href="?module=settings&action=marginProductEdit" target="_blank" class="inline">
    <i class="icon16 add"></i>
    </a>
</h1>

    <table border="0" cellspacing="5" class="zebra margins" style="max-width: 500px;">
        <tr>
            <th scope="col"></th>
            <th scope="col" >Название</th>
            <th scope="col">Расчет</th>
            <th scope="col"></th>
            <th scope="col"></th>
            <th scope="col"></th>
        </tr>
{foreach $Pricing->getPrices() as $k=>$v}
        <tr data-id="{$k}">
           <!-- <td class="min-width">
                <input type="text" name="sort[{$k}]" value="{$v['sort']}" style=" width:30px !important;">
            </td>-->
            <td class="min-width"><i class="icon16 sort"></i></td>
            <td>
                {$v['name']}
            </td>
            <td>
            {$v->getCalculateName()}
            </td>
            <td>
                <a href="?module=settings&action=marginProductEdit&id={$v->getId()}" target="_blank">
                    <i class="icon16 edit"></i>
                </a>
            </td>
            <td>
                <a href="?module=settings&action=marginProductDelete&id={$v->getId()}"  data-name="{$v['name']}" class="margin-delete">
                    <i class="icon16 delete"></i>
                </a>
            </td>
            <td>
                {if $v->isUpdate()}
                <a href="#" class="button red price-update-prices" data-id="{$v->getId()}">Обновить цены</a>
                {/if}
            </td>

        </tr>
        {/foreach}
       </table>

    </div>
<script type="text/javascript">
    $(document).ready(function () {
        $('.margin-delete').click(function () {
            var obj = $(this);
            var name = obj.data('name');
            if(confirm('Вы собираетесь удалить наценку "'+name+'"! Она будет удалена из всех продуктов! Удалить?')) {

                var success = function(response) {
                    if (response.status == 'ok') {
                        obj.closest('tr').remove();
                    } else {
                        alert(response.errors.join(','));
                    }
                };
                $.ajax({
                    url: obj.attr('href'),
                    type: 'get',
                    dataType: 'json',
                    success: success
                });
            } else {

            }
            return false;
        });
    });
</script>
<script>
    {literal}
    $('.margins').sortable({
        'distance': 5,
        'opacity': 0.75,
        'items': '> tbody:first > tr:visible',
        'handle': '.sort',
        'cursor': 'move',
        'tolerance': 'pointer',
        'start': function () {
            $('.block.drop-target').addClass('drag-active');
        },
        'stop': function (e,ui) {
            var success = function(response) {

            };
            var item = ui.item;
            var item_after = item.prev();
            var data = {'id':item.data('id'),'after_id':item_after.data('id')};
            $.post('?module=settings&action=marginsProductSort',{'id':item.data('id'),'after_id':item_after.data('id')}, success, 'json');
            $('.block.drop-target').removeClass('drag-active');

        }
    });
    {/literal}
</script>

